Subject: bug#57325: 27.1; functions in ff-other-file-alist

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Aug 2022 15:43:56 +0300

> From: Felician Nemeth <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 30 Aug 2022 10:46:22 +0200
> 
> > If the returned list includes file names with leading directories,
> > find-file.el strips the leading directories and uses the basename to
> > match against.
> 
> I think that not how it works.

Sorry, I misread the code.  You are right.

But then I think we should replace this code in ff-get-file-name:

              (setq file (concat dir "/" filename))
with
              (setq file (expand-file-name filename dir))

and then the code will work with absolute file names as well, even if
the file is not already visited in a buffer.  Right?

> Playing with the implementation, I think that these functions shouldn't
> return extensions.  They should return file names.

You are right.  I updated the doc string to say that.